<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$floor_delete = new floor_delete();

// Run the page
$floor_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$floor_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var ffloordelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	ffloordelete = currentForm = new ew.Form("ffloordelete", "delete");
	loadjs.done("ffloordelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $floor_delete->showPageHeader(); ?>
<?php
$floor_delete->showMessage();
?>
<form name="ffloordelete" id="ffloordelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="floor">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($floor_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($floor_delete->id->Visible) { // id ?>
		<th class="<?php echo $floor_delete->id->headerCellClass() ?>"><span id="elh_floor_id" class="floor_id"><?php echo $floor_delete->id->caption() ?></span></th>
<?php } ?>
<?php if ($floor_delete->Hostel_Name->Visible) { // Hostel_Name ?>
		<th class="<?php echo $floor_delete->Hostel_Name->headerCellClass() ?>"><span id="elh_floor_Hostel_Name" class="floor_Hostel_Name"><?php echo $floor_delete->Hostel_Name->caption() ?></span></th>
<?php } ?>
<?php if ($floor_delete->Floor->Visible) { // Floor ?>
		<th class="<?php echo $floor_delete->Floor->headerCellClass() ?>"><span id="elh_floor_Floor" class="floor_Floor"><?php echo $floor_delete->Floor->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$floor_delete->RecordCount = 0;
$i = 0;
while (!$floor_delete->Recordset->EOF) {
	$floor_delete->RecordCount++;
	$floor_delete->RowCount++;

	// Set row properties
	$floor->resetAttributes();
	$floor->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$floor_delete->loadRowValues($floor_delete->Recordset);

	// Render row
	$floor_delete->renderRow();
?>
	<tr <?php echo $floor->rowAttributes() ?>>
<?php if ($floor_delete->id->Visible) { // id ?>
		<td <?php echo $floor_delete->id->cellAttributes() ?>>
<span id="el<?php echo $floor_delete->RowCount ?>_floor_id" class="floor_id">
<span<?php echo $floor_delete->id->viewAttributes() ?>><?php echo $floor_delete->id->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($floor_delete->Hostel_Name->Visible) { // Hostel_Name ?>
		<td <?php echo $floor_delete->Hostel_Name->cellAttributes() ?>>
<span id="el<?php echo $floor_delete->RowCount ?>_floor_Hostel_Name" class="floor_Hostel_Name">
<span<?php echo $floor_delete->Hostel_Name->viewAttributes() ?>><?php echo $floor_delete->Hostel_Name->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($floor_delete->Floor->Visible) { // Floor ?>
		<td <?php echo $floor_delete->Floor->cellAttributes() ?>>
<span id="el<?php echo $floor_delete->RowCount ?>_floor_Floor" class="floor_Floor">
<span<?php echo $floor_delete->Floor->viewAttributes() ?>><?php echo $floor_delete->Floor->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$floor_delete->Recordset->moveNext();
}
$floor_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $floor_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$floor_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$floor_delete->terminate();
?>